aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-13 17:19:07 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-13 17:19:07 +0000
commite1cdf662b524ef6ff75b38a7db28eaaa4a5bfed1 (patch)
tree110aba96236a242d3795431f1e063c06c71a1234
parentc2231689c738932ee5b759a811d0fe0471281272 (diff)
downloadaports-e1cdf662b524ef6ff75b38a7db28eaaa4a5bfed1.tar.gz
aports-e1cdf662b524ef6ff75b38a7db28eaaa4a5bfed1.tar.bz2
aports-e1cdf662b524ef6ff75b38a7db28eaaa4a5bfed1.tar.xz
/main/libotr: build fix aarch64
-rw-r--r--main/libotr/APKBUILD36
1 files changed, 9 insertions, 27 deletions
diff --git a/main/libotr/APKBUILD b/main/libotr/APKBUILD
index f619358dfb..96a23e0e14 100644
--- a/main/libotr/APKBUILD
+++ b/main/libotr/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
pkgname=libotr
pkgver=4.1.1
-pkgrel=0
+pkgrel=1
pkgdesc="Off The Record Messaging, an encryption library for secure IM conversations"
url="http://otr.cypherpunks.ca/"
arch="all"
@@ -11,23 +11,14 @@ depends=
depends_dev="libgcrypt-dev"
makedepends="$depends_dev"
install=""
-subpackages="$pkgname-dev $pkgname-doc:doc $pkgname-tools:tools"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
source="http://www.cypherpunks.ca/otr/libotr-$pkgver.tar.gz"
-_builddir="$srcdir/libotr-$pkgver"
-prepare() {
- local i
- cd "$_builddir"
- update_config_sub || return 1
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir/libotr-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
+ update_config_sub || return 1
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -37,23 +28,14 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
}
tools() {
- license="GPL"
- depends="$pkgname"
- cd "$_builddir"
- mkdir -p "$subpkgdir"/usr/
- mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
-}
-
-doc() {
- default_doc
- cd "$_builddir"
- install -Dm0644 Protocol-v2.html "$subpkgdir"/usr/share/doc/$pkgname/Protocol-v2.html
- install -Dm0644 README "$subpkgdir"/usr/share/doc/$pkgname/README
+ pkgdesc="$pkgname tools"
+ mkdir -p "$subpkgdir"/usr/
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/ || return 1
}
md5sums="dac5a8778a35f674c046ddf5d97e4d81 libotr-4.1.1.tar.gz"